#version 120
#extension GL_ARB_texture_rectangle : enable
#extension GL_EXT_gpu_shader4 : enable

uniform sampler2DRect image;

void main()
{
    vec4 p = texture2DRect(image, gl_TexCoord[0].xy);
	float a = clamp(p.a, 0.0, 1.0);
    gl_FragColor = (a > 0.0) ? vec4(p.rgb / a, a) : vec4(p.rgb, a);
}
